#!/bin/bash

#export TSUDO="$HOME/.package-manager/builtin-scripts/tsudo.sh"
#export INSTALLMANAGER_UI=GUI
#export INTERACTIVE=true
SCRIPTPATH="$( cd "$(dirname "$0")" >/dev/null 2>&1 ; pwd -P )"
flag=0

declare -a debs=("libicu60_60.2-3ubuntu3.1_amd64.deb" "libjavascriptcoregtk-1.0-0_2.4.11-3ubuntu3_amd64.deb" "libwebkitgtk-1.0-0_2.4.11-3ubuntu3_amd64.deb")
declare -a pkgs=("libicu60" "libjavascriptcoregtk-1.0-0" "libwebkitgtk-1.0-0")

length=${#debs[@]}
echo "Checking: ${pkgs[$length - 1]}"
isInstalled=`dpkg -l ${pkgs[$length - 1]} | grep ^ii`
if [[ $isInstalled != "" ]]; then
	echo "${pkgs[$length - 1]} is already installed. Exiting with status 1"
	exit $flag;
fi

for (( i=0; i<${length}; i++ ));
do
	echo "Checking: ${pkgs[$i]}"
	isInstalled=`dpkg -l ${pkgs[$i]} | grep ^ii`
	if [[ $isInstalled == "" ]]; then
		"$TSUDO" apt -y install "$SCRIPTPATH/${debs[$i]}"
		status=$?
		if [ "$status" == 1 ]; then 
			echo "failed to install: ${pkgs[$i]}. Please try to manually install: $SCRIPTPATH/${debs[$i]}"
			flag=1
		fi
	else
		echo "${pkgs[$i]} is already installed"
	fi
		
done

exit $flag;
